WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: NextGEN Gallery] Slideshow doesnt work with last uptdate (56 posts)

  1. magarciaguerra
    Member
    Posted 5 years ago #

    Hello,
    I've been using Next Gen Gallery slideshow widget for two months.
    Everything goes ok :)

    But, with last update of Next Gen Gallery, slideshow doesn't work.
    It allways says:
    Get the Flash Player to see the slideshow.
    But I have it installed and I tried to view this slideshow in several computers with allways same message.

    My site is:
    http://www.magarciaguerra.com/

    Please, could you tell me what can I do?

    Thanks a lot
    Miguel

  2. ryancp
    Member
    Posted 5 years ago #

    I had the same problem.
    I noticed it was because swfobject.js (inside admin/js) wasn't put inside the <head> of my pages.
    So in nggallery.php I just commented out line 283:
    //if ( $this->options['galShowSlide'] )
    This forced the plugin to enqueue the swfobject.js file.

    That seemed to do it for me. I don't know why $this->options['galShowSlide'] was false, but it was, and cause it to not enqueue the js file.

    Hope that helps.

  3. magarciaguerra
    Member
    Posted 5 years ago #

    Thanks but I don't have any idea how to do this
    :-(

  4. ryancp
    Member
    Posted 5 years ago #

    Under plugins in your dashboard, click on editor and then click on "NextGEN Gallery" in the right hand side (You can probably get to it here: http://www.magarciaguerra.com/wp-admin/plugin-editor.php?file=nextgen-gallery/nggallery.php). Search for "if ( $this->options['galShowSlide'] )" and then add two forward slashes to the beginning of it like this //if ( $this->options['galShowSlide'] ).
    That tells php to ignore that line of code.
    Save the file (make sure the file is writable by your server) and see if it makes your slideshows work.

  5. magarciaguerra
    Member
    Posted 5 years ago #

    Thanks a lot... but... it doesn't work.
    I've tried it, same error.

    :'-(((

  6. solefald
    Member
    Posted 5 years ago #

    @ryancp, man! thank you so much! my slideshow works like a charm now!

  7. Alex Rabe
    Member
    Posted 5 years ago #

    @Ryan
    THX I will change that for the next release

    @Magarciaguerra
    http://www.magarciaguerra.com/wp-content/plugins/nextgen-gallery/admin/js/swfobject.js?ver=2.1 return a error 403. Check your file permissions

  8. magarciaguerra
    Member
    Posted 5 years ago #

    Hello again...

    @alexrabe
    I also tried to set chmod of swfobject.js to 777 few minutes ago.
    Error persists

    I will remove next gen gallery slideshot widget of my blog until next update.
    :(

    Now, this file has again default chmod.

    Thanks anyway

  9. Alex Rabe
    Member
    Posted 5 years ago #

    There will be no fix, it's your settings not a nextgen issue

  10. artc1209
    Member
    Posted 5 years ago #

    I'm having sort of the same problem, but I'm not receiving any error messages.
    2.7 and ng 1.0.1
    Just the slideshow mode not working, either when it's invoked by clicking [Show as slideshow] from the picture view, or when it's invoked with [slideshow id=1] in a page.

    Tried commenting out the 283 line, but no change.

    Any ideas on what to check next, Alex, or anyone?

    TIA,
    art

  11. There4you
    Member
    Posted 5 years ago #

    Hello I have this same issue on my site

    I have tried what ryancp says with no success, unfortunately.

    Does anyone else have any clues as to how I can fix this as I would really like this issue resolved as I am sure others would too.

    Open to any suggestions. Thanks in advance,

    Keren

  12. There4you
    Member
    Posted 5 years ago #

    Hi Alexrabe,

    You state There will be no fix, it's your settings not a nextgen issue

    Then could you please advise us what we need to change exactly to fix this issue as we are site administrators and have root access to our server so can try changing anything you say is causing this issue.

    Thanks in advance,

    Kind regards,

    Keren

  13. magarciaguerra
    Member
    Posted 5 years ago #

    There will be no fix, it's your settings not a nextgen issue

    I really don't know what I have to do.
    Before update it works very well, after update it doesn't work. I didn't change anything in my configuration files.

    Please, could you give us a list of things to do?

    Thanks a lot ;)

  14. Alex Rabe
    Member
    Posted 5 years ago #

    In Magarciaguerra case, the script file has no access from the web, so it failed.

    In all other cases I need a example link...

  15. magarciaguerra
    Member
    Posted 5 years ago #

    Ok, I set chmod 755 to folder not only to file.
    So, folder
    /wp-content/plugins/nextgen-gallery/admin/js/
    has 755

    It seems work now... almost, cause no picture is showed in slideshow
    :-(

    Some screenshots of configuration
    http://www.magarciaguerra.com/01.jpg
    http://www.magarciaguerra.com/02.jpg
    http://www.magarciaguerra.com/03.jpg

    In Slideshow
    Try XHTML validation (with CDATA) is UNchecked

    Anyway, I'm using NextGen slideshow widget.

    Thanks again and I´m sorry for all this questions

  16. magarciaguerra
    Member
    Posted 5 years ago #

    RESOLVED!!!

    all folder
    /wp-content/plugins/nextgen-gallery/
    and all files on it must have 755 chmod

    NextGen Gallery Slideshow widget works!!!!

    http://www.magarciaguerra.com

    Thanks to everybody helping me

  17. jpenaavila
    Member
    Posted 5 years ago #

    2.7 and ng 1.0.1 here, and same problem with slideshow...

    i found out it works fine with the default template of wordpress but it doesn't when using the one i use for my blog.

    Commented out line 283 also but same result, Try XHTML validation (with CDATA) is UNchecked also.

    I'm working in a local sandbox, so no link to show, but i don't think there a problem with permissions anyway, since i commented out the line directly from the php file.

    Any clues?

  18. jpenaavila
    Member
    Posted 5 years ago #

    RESOLVED!

    <?php wp_head(); ?> was missing in my theme's header...

    to everybody that had this problem: jus add that line of php inside your header.php inside the <head> </head> tags!

    thanks for the great plugin alex!

  19. Alex Rabe
    Member
    Posted 5 years ago #

    And thanks to my FAQ Question 5 ;-)

  20. gmilburn
    Member
    Posted 5 years ago #

    My site is experiencing the same issue.

    <?php wp_head(); ?> is in my header.
    All plugin files and folders chmod 755.

    Nothing was changed regarding settings except upgrading the plugin and wordpress.

    Any hints? This is extremely frustrating to do nothing other than an automatic update and have everything break.

  21. gmilburn
    Member
    Posted 5 years ago #

    Anything? This is not a settings issue in any way - I auto-upgraded the plugin, and slideshows that used to work before simply don't work now. My settings are identical.

    Any known issues with downgrading to a previous version? This looks like my only option at this point.

  22. gmilburn
    Member
    Posted 5 years ago #

    Issue resolved by latest version of plugin: 1.0.2 gets everything back working.

  23. Brian Messenlehner
    Member
    Posted 5 years ago #

    I am experiencing the same problem and I just updated and activated NEXTGEN 1.0.2 on WP 2.7. slideshow used to work fine but isn't working now. Is anybody still experiencing problems with this? gmilburn, is your slideshow still working?

    Thanks!

  24. solidariti
    Member
    Posted 5 years ago #

    Deactivating the plugins that I listed in my previous post didnt seem to work.

    I'm now going to try if I can see the gallery using just the Next-Gen Gallery instead of the add-on NextGen Flashviewer by changing the call to the gallery from [simpleviewer=1,800,700] to [nggallery id=1].

    Ok this seemed to work, so I can now see that the Next-Gen Gallery code is working and the the NextGen Flashviewer is not compatible with Next-Gen Gallery v1.0.2.

    wordtube

  25. solidariti
    Member
    Posted 5 years ago #

    I found that for some reason the NextGen Flashviewer was missing the simpleviewer.swf. I replaced that and it works now with versions:

    NextGen-Gallery 1.0.2
    Flash Gen Viewer - latest version

  26. duplemeter
    Member
    Posted 5 years ago #

    Okay - my situation:

    WP 2.7
    NextGen Gallery 1.0.2

    I don't seem to have a Flash Gen Viewer (or simpleviewer.swf file) anywhere in the plugins directory or in the backup of my previous version of NGG (0.99). Is this an extra install?

    Slideshows are simply not working on a fresh install of both WP and the NGG plugin. All permissions are fine on the server (755).

    Is this just broken or am I missing something?

  27. rbarona
    Member
    Posted 5 years ago #

    @DupleMeter

    I have the same situation like you and the same problem.

    For me the solution was to update the NextGEN plugin to the new beta version and now it works great!

    NextGEN Gallery 1.1.0b - http://code.google.com/p/nextgen-gallery/downloads/list

    Try it! ir works!

  28. duplemeter
    Member
    Posted 5 years ago #

    @rbarona

    Tried the 1.1.0 update (did the automatic update). No more error, but now it simply just ignores even trying to show the slideshow.

    There must be something else going on.

    Thanks anyway.

  29. solefald
    Member
    Posted 5 years ago #

    same problem here... no slideshow after 1.1.0 upgrade.

    EDIT: Never mind. I fixed it by going into Gallery settings in WP backend and ran and updrade :)

  30. renek
    Member
    Posted 5 years ago #

    Thanks Solefald, your solution is the right one, you have to go into the GALLERY -> SETUP menu of your WordPress admin and there you will have an option to upgrade your installation !

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.